Package org.codehaus.commons.compiler.jdk.util

# Class JavaFileManagers

java.lang.Object
org.codehaus.commons.compiler.jdk.util.JavaFileManagers

public final class JavaFileManagers extends Object
Utility methods related to `JavaFileManager`s.

## Method Summary

Modifier and Type
Method
Description
`static <M extends JavaFileManager>
ForwardingJavaFileManager<M>`
`fromResourceCreator(M delegate, JavaFileManager.Location location, JavaFileObject.Kind kind, ResourceCreator resourceCreator, Charset charset)`
`static <M extends JavaFileManager>
ForwardingJavaFileManager<M>`
`fromResourceFinder(M delegate, JavaFileManager.Location location, JavaFileObject.Kind kind, ResourceFinder resourceFinder, Charset charset)`
A `ForwardingJavaFileManager` that maps accesses to a particular `JavaFileManager.Location` and `JavaFileObject.Kind` to a search in a `ResourceFinder`.
`static <M extends JavaFileManager>
ForwardingJavaFileManager<M>`
`inMemory(M delegate, Charset charset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fromResourceFinder

public static <M extends JavaFileManager> ForwardingJavaFileManager<M> fromResourceFinder(M delegate, JavaFileManager.Location location, JavaFileObject.Kind kind, ResourceFinder resourceFinder, Charset charset)
A `ForwardingJavaFileManager` that maps accesses to a particular `JavaFileManager.Location` and `JavaFileObject.Kind` to a search in a `ResourceFinder`.

### fromResourceCreator

public static <M extends JavaFileManager> ForwardingJavaFileManager<M> fromResourceCreator(M delegate, JavaFileManager.Location location, JavaFileObject.Kind kind, ResourceCreator resourceCreator, Charset charset)

Returns:
  A `ForwardingJavaFileManager` that stores `JavaFileObject`s through a `ResourceCreator`

### inMemory

public static <M extends JavaFileManager> ForwardingJavaFileManager<M> inMemory(M delegate, Charset charset)

Returns:
  A `ForwardingJavaFileManager` that stores `JavaFileObject`s in byte arrays, i.e. in memory (as opposed to the `StandardJavaFileManager`, which stores them in files)